## com.sun.jersey.api.json
Enum JSONConfiguration.Notation

    java.lang.Object
      java.lang.Enum<JSONConfiguration.Notation>
          com.sun.jersey.api.json.JSONConfiguration.Notation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSONConfiguration.Notation>

Enclosing class:
  JSONConfiguration

    public static enum JSONConfiguration.Notation

extends java.lang.Enum<JSONConfiguration.Notation>

Enumeration of supported JSON notations.

Enum Constant Summary
`BADGERFISH` The mapped Badgerfish JSON notation.
`MAPPED` The mapped (default) JSON notation.
`MAPPED_JETTISON` The mapped Jettison JSON notation.
`NATURAL` The natural JSON notation, leveraging closely-coupled JAXB RI integration.

Method Summary
`static JSONConfiguration.Notation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JSONConfiguration.Notation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAPPED

    public static final JSONConfiguration.Notation MAPPED

  The mapped (default) JSON notation.

  Example JSON expression:

       {"columns":[{"id":"userid","label":"UserID"},{"id":"name","label":"User Name"}],"rows":{"userid":"1621","name":"Grotefend"}}

### MAPPED_JETTISON

    public static final JSONConfiguration.Notation MAPPED_JETTISON

  The mapped Jettison JSON notation.

  Example JSON expression:

       {"userTable":{"columns":[{"id":"userid","label":"UserID"},{"id":"name","label":"User Name"}],"rows":{"userid":1621,"name":"Grotefend"}}}

### BADGERFISH

    public static final JSONConfiguration.Notation BADGERFISH

  The mapped Badgerfish JSON notation.

  Example JSON expression:

       {"userTable":{"columns":[{"id":{"$":"userid"},"label":{"$":"UserID"}},{"id":{"$":"name"},"label":{"$":"User Name"}}],"rows":{"userid":{"$":"1621"},"name":{"$":"Grotefend"}}}}

### NATURAL

    public static final JSONConfiguration.Notation NATURAL

  The natural JSON notation, leveraging closely-coupled JAXB RI integration.

  Example JSON expression:

       {"columns":[{"id":"userid","label":"UserID"},{"id":"name","label":"User Name"}],"rows":[{"userid":1621,"name":"Grotefend"}]}

Method Detail

### values

    public static JSONConfiguration.Notation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSONConfiguration.Notation c : JSONConfiguration.Notation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSONConfiguration.Notation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Oracle Corporation. All Rights Reserved.